CREATE OR REPLACE FUNCTION food600.spocitajrozpatie(
	predaj numeric DEFAULT 0,
	dan numeric DEFAULT 1,
	nakup numeric DEFAULT 0,
	typ smallint DEFAULT 1)
    RETURNS numeric
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE
AS $BODY$
DECLARE rozp NUMERIC;
BEGIN
IF dan<=0 THEN
	dan:=1;
END IF;
CASE
	WHEN typ=1 THEN
	--- Rozpatie
		IF predaj=0 THEN
			rozp:=0;
		ELSE
			IF nakup=0 THEN
				rozp:=0;
			ELSE
				rozp:=(predaj/dan-nakup)/nakup*100;
			END IF;
		END IF;
	WHEN typ=2 THEN
	--- FoodCost 
		IF predaj=0 THEN
			rozp:=0;
		ELSE
			IF nakup=0 THEN
				rozp:=0;
			ELSE
				rozp:=(nakup/(predaj/dan))*100;
			END IF;
		END IF;
	WHEN typ=3 THEN
	--- Spanne 
		IF predaj=0 THEN
			rozp:=0;
		ELSE
			IF nakup=0 THEN
				rozp:=0;
			ELSE
				rozp:=(predaj/dan-nakup)/(predaj/dan)*100;
			END IF;
		END IF;
END CASE;
RETURN rozp;
END
$BODY$;
